diff --git a/books/bookvolbib.pamphlet b/books/bookvolbib.pamphlet
index 9c3290b..3a8b2b7 100644
--- a/books/bookvolbib.pamphlet
+++ b/books/bookvolbib.pamphlet
@@ -977,6 +977,16 @@ Ph.D. Thesis L'Universite De Limoges March 1992
 \bibitem[Gomez-Diaz 93]{Gom93} G\'omez-D\'iaz, Teresa\\
 ``Examples of using Dynamic Constructible Closure''
 IMACS Symposium SC-1993
+%\verb|axiom-developer.org/axiom-website/papers/Gom93.pdf|
+
+\begin{adjustwidth}{2.5em}{0pt}
+We present here some examples of using the ``Dynamic Constructible
+Closure'' program, which performs automatic case distinction in
+computations involving parameters over a base field $K$. This program
+is an application of the ``Dynamic Evaluation'' principle, which
+generalizes traditional evaluation and was first used to deal with
+algebraic numbers.
+\end{adjustwidth}
 
 \bibitem[Goodwin 91]{GBL91} Goodwin, B. M.; Buonopane, R. A.; Lee, A.\\
 ``Using MathCAD in teaching material and energy balance concepts''\\
@@ -1582,6 +1592,27 @@ ISSAC '88
 ``Algebraic Simplification: A Guide for the Perplexed''\\
 CACM August 1971 Vol 14 No. 8 pp527-537
 
+\bibitem[Moses 08]{Mos08} Moses, Joel\\
+``Macsyma: A Personal History''\\
+Invited Presentation in Milestones in Computer Algebra, May 2008, Tobago\\
+\verb|esd.mit.edu/Faculty_Pages/moses/Macsyma.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Mos08.pdf|
+
+\begin{adjustwidth}{2.5em}{0pt}
+The Macsyma system arose out of research on mathematical software in
+the AI group at MIT in the 1960's. Algorithm development in symbolic
+integration and simplification arose out of the interest of people,
+such as the author, who were also mathematics students. The later
+development of algorithms for the GCD of sparse polynomials, for
+example, arose out of the needs of our user community. During various
+times in the 1970's the computer on which Macsyma ran was one of the
+most popular notes on the ARPANET. We discuss the attempts in the late
+70's and the 80's to develop Macsyma systems that ran on popular
+computer architectures.  Finally, we discuss the impact of the
+fundamental ideas in Macsyma on current research on large scale
+engineering systems.
+\end{adjustwidth}
+
 \subsection{N} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
 \bibitem[Naylor]{NPxx} Naylor, William;  Padget, Julian\\
@@ -1715,6 +1746,27 @@ A281 1986 ACM order number 505860
 ``2014: 30+ Years Common Lisp the Language''\\
 \verb|lispm.de/30ycltl|
 
+\bibitem[Rioboo 03a]{Riob03a} Rioboo, Renaud\\
+``Quelques aspects du calcul exact avec des nombres r\'eels''\\
+Ph.D. Thesis, Laboratoire d'Informatique Th\'eorique et Programmationg
+%\verb|axiom-developer.org/axiom-website/papers/Riob03a.ps|
+
+\bibitem[Rioboo 03]{Riob03} Rioboo, Renaud\\
+``Towards Faster Real Algebraic Numbers''\\
+J. of Symbolic Computation 36 pp 513-533 (2003)
+%\verb|axiom-developer.org/axiom-website/papers/Riob03.pdf|
+
+\begin{adjustwidth}{2.5em}{0pt}
+This paper presents a new encoding scheme for real algebraic number
+manipulations which enhances current Axiom's real closure. Algebraic
+manipulations are performed using different instantiations of
+sub-resultant-like algorithms instead of Euclidean-like algorithms.
+We use these algorithms to compute polynomial gcds and Bezout
+relations, to compute the roots and the signs of algebraic
+numbers. This allows us to work in the ring of real algebraic integers
+instead of the field of read algebraic numbers avoiding many denominators.
+\end{adjustwidth}
+
 \bibitem[Robidoux 93]{Rob93} Robidoux, Nicolas\\
 ``Does Axiom Solve Systems of O.D.E's Like Mathematica?''\\
 July 1993
@@ -2436,11 +2488,13 @@ Comm.  ACM. 17, 6 319--320. (1974)
 ``Products of polynomials and a priori estimates for
 coefficients in polynomial decompositions: a sharp result''\\
 J. Symbolic Computation (1992) 13, 463-472
+%\verb|axiom-developer.org/axiom-website/papers/Bea92.pdf|
 
 \bibitem[Beauzamy 93]{Bea93} Beauzamy, Bernard; Trevisan, Vilmar; 
 Wang, Paul S.\\
 ``Polynomial Factorization: Sharp Bounds, Efficient Algorithms''\\
 J. Symbolic Computation (1993) 15, 393-413
+%\verb|axiom-developer.org/axiom-website/papers/Bea93.pdf|
 
 \bibitem[Bertrand 95]{Ber95} Bertrand, Laurent\\ 
 ``Computing a hyperelliptic integral using arithmetic in the jacobian 
@@ -2465,11 +2519,13 @@ Ginn \& Co., Boston and New York. (1962)
 ``Bounds for the Height of a Factor of a Polynomial in
 Terms of Bombieri's Norms: I. The Largest Factor''\\
 J. Symbolic Computation (1993) 16, 115-130
+%\verb|axiom-developer.org/axiom-website/Boyd93a.pdf|
 
 \bibitem[Boyd 93b]{Boyd93b} Boyd, David W.\\
 ``Bounds for the Height of a Factor of a Polynomial in
 Terms of Bombieri's Norms: II. The Smallest Factor''\\
 J. Symbolic Computation (1993) 16, 131-145
+%\verb|axiom-developer.org/axiom-website/Boyd93b.pdf|
 
 \bibitem[Braman 02a]{BBM02a} Braman, K.; Byers, R.; Mathias, R.\\ 
 ``The Multi-Shift QR Algorithm Part I: Maintaining Well Focused Shifts, 
@@ -2588,7 +2644,7 @@ INRIA Sophia Antipolis ISSAC 1998 Rostock
 \bibitem[Brown 99]{Brow99} Brown, Christopher W.\\
 ``Solution Formula Construction for Truth Invariant CADs''\\
 Ph.D Thesis, Univ. Delaware (1999)
-\verb|www.usna.edu/Users/cs/wcbrown/reearch/thesis.ps.gz|
+\verb|www.usna.edu/Users/cs/wcbrown/research/thesis.ps.gz|
 %\verb|axiom-developer.org/axiom-website/papers/Brow99.pdf|
 
 \begin{adjustwidth}{2.5em}{0pt}
@@ -2864,6 +2920,33 @@ Journal of Pure and Applied Algebra V145 No 2 Jan 2000 pp149-163
 equations''\\
 A.E.R.E. Report R.8730. HMSO. (1977) 
 
+\bibitem[Duval 96a]{Duva96a} Duval, D.; Gonz\'alez-Vega, L.\\
+``Dynamic Evaluation and Real Closure''\\
+Mathematics and Computers in Simulation 42 pp 551-560 (1996)
+%\verb|axiom-developer.org/axiom-website/papers/Duva96a.pdf|
+
+\begin{adjustwidth}{2.5em}{0pt}
+The aim of this paper is to present how the dynamic evaluation method
+can be used to deal with the real closure of an ordered field. Two
+kinds of questions, or tests, may be asked in an ordered field:
+equality tests $(a=b?)$ and sign tests $(a > b?)$. Equality tests are
+handled through splittings, exactly as in the algebraic closure of a
+field. Sign tests are handled throug a structure called ``Tarski data
+type''.
+\end{adjustwidth}
+
+\bibitem[Duval 96]{Duva96} Duval, D.; Reynaud, J.C.\\
+``Sketches and Computations over Fields''\\
+Mathematics and Computers in Simulation 42 pp 363-373 (1996)
+%\verb|axiom-developer.org/axiom-website/papers/Duva96.pdf|
+
+\begin{adjustwidth}{2.5em}{0pt}
+The goal of this short paper is to describe one possible use of
+sketches in computer algebra. We show that sketches are a powerful
+tool for the description of mathematical structures and for the
+description of computations.
+\end{adjustwidth}
+
 \bibitem[Duval 94a]{Duva94a} Duval, D.; Reynaud, J.C.\\
 ``Sketches and Computation (Part I): Basic Definitions and Static Evaluation''\\
 Mathematical Structures in Computer Science, 4, p 185-238 Cambridge University Press (1994)
@@ -3013,6 +3096,20 @@ Addison-Wesley. 181--187. (1965)
 Drinfeld-Vladut bound''\\
 Invent. Math., vol. 121, 1995, pp. 211--222.
 
+\bibitem[Gathen 90a]{Gat90a} Gathen, Joachim von zur; Giesbrecht, Mark\\
+``Constructing Normal Bases in Finite Fields''\\
+J. Symbolic Computation pp 547-570 (1990)
+%\verb|axiom-developer.org/axiom-website/papers/Gat90a.pdf|
+
+\begin{adjustwidth}{2.5em}{0pt}
+An efficient probabilistic algorithm to find a normal basis in a
+finite field is presented. It can, in fact, find an element of
+arbitrary prescribed additive order. It is based on a density estimate
+for normal elements. A similar estimate yields a probabilistic
+polynomial-time reduction from finding primitive normal elements to
+finding primitive elements.
+\end{adjustwidth}
+
 \bibitem[Gathen 90]{Gat90} Gathen, Joachim von zur\\
 ``Functional Decomposition Polynomials: the Tame Case''\\
 Journal of Symbolic Computation (1990) 9, 281-299
@@ -3283,10 +3380,29 @@ SCRIPT Mathematical Formula Formatter User's Guide, SH20-6453,
 IBM Corporation, Publishing Systems Information Development,
 Dept. G68, P.O. Box 1900, Boulder, Colorado, USA 80301-9191.
 
-\bibitem[Itoh 88]{IT88} Itoh, T.;, Tsujii, S.\\
+\bibitem[Itoh 88]{Itoh88} Itoh, T.;, Tsujii, S.\\
 ``A fast algorithm for computing multiplicative inverses
 in $GF(2^m)$ using normal bases''\\
 Inf. and Comp. 78, pp.171-177, 1988
+%\verb|axiom-developer.org/axiom-website/Itoh88.pdf|
+
+\begin{adjustwidth}{2.5em}{0pt}
+This paper proposes a fast algorithm for computing multiplicative
+inverses in $GF(2^m)$ using normal bases. Normal bases have the
+following useful property: In the case that an element $x$ in
+$GF(2^m)$ is represented by normal bases, $2^k$ power operation of an
+element $x$ in $GF(2^m)$ can be carried out by $k$ times cyclic shift
+of its vector representation.  C.C. Wang et al. proposed an algorithm
+for computing multiplicative inverses using normal bases, which
+requires $(m-2)$ multiplications in $GF(2^m)$ and $(m-1)$ cyclic
+shifts. The fast algorithm proposed in this paper also uses normal
+bases, and computes multiplicative inverses iterating multiplications
+in $GF(2^m)$. It requires at most $2[log_2(m-1)]$ multiplications in
+$GF(2^m)$ and $(m-1)$ cyclic shifts, which are much less than those
+required in Wang's method. The same idea of the proposed fast
+algorithm is applicable to the general power operation in $GF(2^m)$
+and the computation of multiplicative inverses in $GF(q^m)$ $(q=2^n)$.
+\end{adjustwidth}
 
 \bibitem[Iyanaga 77]{Iya77} Iyanaga, Shokichi; Iyanaga, Yukiyosi Kawada\\
 ``Encyclopedic Dictionary of Mathematics''\\
@@ -3326,10 +3442,6 @@ Ph. D. Thesis, University of Linz, Austria, 1991
 ``Algorithmic properties of polynomial rings''\\
 Journal of Symbolic Computation 1998
 
-\bibitem[Kaltofen 84]{Kalt84} Kaltofen, E.\\
-``A Note on the Risch Differential Equation''\\
-Proc. EUROSAM pp 359-366 (1984)
-
 \bibitem[Kantor 89]{Kan89} Kantor,I.L.; Solodovnikov, A.S.\\
 ``Hypercomplex Numbers''\\
 Springer Verlag Heidelberg, 1989, ISBN 0-387-96980-2
@@ -3802,6 +3914,11 @@ Rocky Mountain J. Math. 14 223--237. (1984)
 ``Free Lie Algebras''\\
 Oxford University Press, June 1993 ISBN 0198536798
 
+\bibitem[Reznick 93]{Rezn93} Reznick, Bruce\\
+``An Inequality for Products of Polynomials''\\
+Proc. AMS Vol 117 No 4 April 1993
+%\verb|axiom-developer.org/axiom-website/papers/Rezn93.pdf|
+
 \bibitem[Rich xx]{Rixx} Rich, A.D.; Jeffrey, D.J.\\
 ``Crafting a Repository of Knowledge Based on Transformation''\\
 \verb|www.apmaths.uwo.ca/~djeffrey/Offprints/IntegrationRules.pdf|
@@ -3896,6 +4013,27 @@ Equations''
 Proc. 23rd Nat. Conf. ACM. Brandon/Systems Press Inc., 
 Princeton. 517--523. 1968
 
+\bibitem[Shirayanagi 96]{Shir96} Shirayanagi, Kiyoshi\\
+``Floating point Gr\"obner bases''\\
+Mathematics and Computers in Simulation 42 pp 509-528 (1996)
+%\verb|axiom-developer.org/axiom-website/papers/Shir96.pdf|
+
+\begin{adjustwidth}{2.5em}{0pt}
+Bracket coefficients for polynomials are introduced. These are like
+specific precision floating point numbers together with error
+terms. Working in terms of bracket coefficients, an algorithm that
+computes a Gr\"obner basis with floating point coefficients is
+presented, and a new criterion for determining whether a bracket
+coefficient is zero is proposed. Given a finite set $F$ of polynomials
+with real coefficients, let $G_\mu$ be the result of the algorithm for
+$F$ and a precision $\mu$, and $G$ be a true Gr\"obner basis of
+$F$. Then, as $\mu$ approaches infinity, $G_\mu$ converges to $G$
+coefficientwise. Moreover, there is a precision $M$ such that if 
+$\mu \ge M$, then the sets of monomials with non-zero coefficients of
+$G_\mu$ and $G$ are exactly the same. The practical usefulness of the
+algorithm is suggested by experimental results.
+\end{adjustwidth}
+
 \bibitem[Sims 71]{Sims71} Sims, C.\\
 ``Determining the Conjugacy Classes of a Permutation Group''\\
 Computers in Algebra and Number Theory, SIAM-AMS Proc., Vol. 4,
@@ -3940,10 +4078,20 @@ Second Edition ISBN 1-55558-041-6 Digital Press (1990)
 ``Algebraic function fields and codes''\\
 Springer-Verlag, 1993, University Text.
 
-\bibitem[Stinson 90]{Sti90} Stinson, D.R.\\
+\bibitem[Stinson 90]{Stin90} Stinson, D.R.\\
 ``Some observations on parallel Algorithms for fast exponentiation 
 in $GF(2^n)$''\\
 Siam J. Comp., Vol.19, No.4, pp.711-717, August 1990
+%\verb|axiom-developer.org/axiom-website/Stin90.pdf|
+
+\begin{adjustwidth}{2.5em}{0pt}
+A normal basis represention in $GF(2^n)$ allows squaring to be
+accomplished by a cyclic shift. Algorithms for multiplication in
+$GF(2^n)$ using a normal basis have been studied by several
+researchers. In this paper, algorithms for performing exponentiation
+in $GF(2^n)$ using a normal basis, and how they can be speeded up by
+using parallelization, are investigated.
+\end{adjustwidth}
 
 \bibitem[Stroud 66]{SS66} Stroud A H.; Secrest D.\\
 ``Gaussian Quadrature Formulas''\\
@@ -3987,6 +4135,13 @@ J. Comput. Phys. 52 1--23. (1983)
 ``Fast Mixed-Radix Real Fourier Transforms''\\
 J. Comput. Phys. 52 340--350. (1983)
 
+\bibitem[Thurston 94]{Thur94} Thurston, William P.\\
+``On Proof and Progress in Mathematics''\\
+Bulletin AMS Vol 30, No 2, April 1994\\
+\verb|www.ams.org/journals/bull/1994-30-02/S0273-0979-1994-00502-6/|
+\verb|S0273-0979-1994-00502-6.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Thur94.pdf|
+
 \subsection{U} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
 \bibitem[Unknown 61]{Unk61} Unknown\\
@@ -5147,7 +5302,21 @@ elimination method, uses only elementary linear algebra operations
 the degress of the solutions with finite support. As a consequence, we
 can boudn and compute the polynomial and rational solutions of very
 general linear functional systems such as systems of differential or
-($q-$)difference equations.
+($q$)-difference equations.
+\end{adjustwidth}
+
+\bibitem[Bronstein 96b]{Bro96b} Bronstein, Manuel\\
+``On the Factorization of Linear Ordinary Differential Operators''\\
+Mathematics and Computers in Simulation 42 pp 387-389 (1996)
+%\verb|axiom-developer.org/axiom-website/papers/Bro96b.pdf|
+
+\begin{adjustwidth}{2.5em}{0pt}
+After reviewing the arithmetic of linear ordinary differential
+operators, we describe the current status of the factorisation
+algorithm, specially with respect to factoring over non-algebraically
+closed constant fields. We also describe recent results from Singer
+and Ulmer that reduce determining the differential Galois group of an
+operator to factoring.
 \end{adjustwidth}
 
 \bibitem[Bronstein 96a]{Bro96a} Bronstein, Manuel; Petkovsek, Marko\\
@@ -6486,5 +6655,440 @@ differential, shift, and $q$-shift rings.
 \verb|shoup.net/ntb/ntb-v2.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Sho08.pdf|
 
+\subsection{Polynomial Factorization} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+
+\subsection{To Be Classified} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+
+\bibitem[Kaltofen 82]{Kalt82} Kaltofen, E.\\
+``On the complexity of factoring polynomials with integer coefficients''\\
+PhD thesis, Rensselaer Polytechnic Instit. Troy, N.Y. Dec (1982)
+\verb|www.math.ncsu.edu/~kaltofen/bibliography/82/Ka82_thesis.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Kalt82.pdf|
+
+\bibitem[Kaltofen 82a]{Kalt82a} Kaltofen, E.\\
+``A polynomial-time reduction from bivariate to univariate integral polynomial factorization''\\
+Proc. 23rd Annual Symp. Foundations of Comp. Sci pp 57-64 IEEE (1982)\\
+\verb|www.math.ncsu.edu/~kaltofen/bibliography/82/Ka82_focs.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Kalt82a.pdf|
+
+\bibitem[Kaltofen 82b]{Kalt82b} Kaltofen, E.\\
+``Polynomial Factorization''\\
+B. Buchberger, G. Collins, and R. Loos, editors, Computer Algebra pp 95-113
+Springer-Verlag Germany 2nd ed (1982)\\
+\verb|www.math.ncsu.edu/~kaltofen/bibliography/82/Ka82_survey.ps.gz|
+%\verb|axiom-developer.org/axiom-website/papers/Kalt82b.ps|
+
+\bibitem[Kaltofen 83]{Kalt83} Kaltofen, E.\\
+``On the complexity of finding short vectors in integer lattices''\\
+Proc. EUROCAL'83 Vol 162 of LNCS, pp 236-244, Heidelberg, Germany,
+Springer-Verlag (1983)\\
+\verb|www.math.ncsu.edu/~kaltofen/bibliography/83/Ka83_eurocal.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Kalt83.pdf|
+
+\bibitem[Kaltofen 84]{Kalt84} Kaltofen, E.\\
+``A Note on the Risch Differential Equation''\\
+Proc. EUROSAM pp 359-366 (1984)\\
+\verb|www.math.ncsu.edu/~kaltofen/bibliography/84/Ka84_risch.ps.gz|
+%\verb|axiom-developer.org/axiom-website/papers/Kalt84.ps|
+
+\bibitem[Kaltofen 84a]{Kalt84a} Kaltofen, E.; Yui, N.\\
+``Explicit construction of the Hilbert class field of imaginary quadratic
+fields with class number 7 and 11''\\
+Proc. EUROSAM'84 pp 310-320\\
+\verb|www.math.ncsu.edu/~kaltofen/bibliography/84/KaYui84_eurosam.ps.gz|
+%\verb|axiom-developer.org/axiom-website/papers/Kalt84a.ps|
+
+\bibitem[Kaltofen 84b]{Kalt84b} Kaltofen, E.\\
+``The algebraic theory of integration''\\
+Lect. Notes, Rensselaer Polytechnic Instit. Dept. Comput. Sci. troy, NY 1984\\
+\verb|www.math.ncsu.edu/~kaltofen/bibliography/84/Ka84_integration.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Kalt84b.pdf|
+
+\bibitem[Kaltofen 85]{Kalt85} Kaltofen, E.\\
+``Effective Hilbert irreducibility''\\
+Information and Control, 66 pp 123-137 (1985)\\
+\verb|www.math.ncsu.edu/~kaltofen/bibliography/85/Ka85_infcontr.ps.gz|
+%\verb|axiom-developer.org/axiom-website/papers/Kalt85.ps|
+
+\bibitem[Kaltofen 85a]{Kalt85a} Kaltofen, E.\\
+``Fast parallel absolute irreducibility testing''\\
+J. Symbolic Comput. 1(1) pp 57-67 (1985)\\
+Corrections: J. Symbolic Comput. vol 9 p 320 (1989)\\
+\verb|www.math.ncsu.edu/~kaltofen/bibliography/85/Ka85_jsc.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Kalt85a.pdf|
+
+\bibitem[Kaltofen 85b]{Kalt85b} Kaltofen, E.\\
+``Computing with polynomials given by straight-line programs II; sparse 
+factorization''\\
+Proc. 26th Annual Symp. Foundations of Comp. Sci. pp 451-458 IEEE (1985)\\
+\verb|www.math.ncsu.edu/~kaltofen/bibliography/85/Ka85_focs.ps.gz|
+%\verb|axiom-developer.org/axiom-website/papers/Kalt85b.ps|
+
+\bibitem[Kaltofen 85c]{Kalt85c} Kaltofen, E.\\
+``Sparse Hensel lifting''\\
+Technical Report 85-12, Rensselaer Polytechnic Instit. Dept. Comp. Sci.,
+Troy, NY 1985\\
+\verb|www.math.ncsu.edu/~kaltofen/bibliography/85/Ka85_techrep.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Kalt85c.pdf|
+
+\bibitem[Kaltofen 85d]{Kalt85d} Kaltofen, E.\\
+``Sparse Hensel lifting''\\
+EUROCAL 85 European COnf. Comput. Algebra Proc. Vol 2 pp 4-17\\
+\verb|www.math.ncsu.edu/~kaltofen/bibliography/85/Ka85_eurocal.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Kalt85d.pdf|
+
+\bibitem[Kaltofen 85e]{Kalt85e} Kaltofen, E.\\
+``Polynomial-time reductions from multivariate to bi- and univariate integral polynomial factorization''\\
+SIAM J. Comput. 14(2) pp 469-489 (1985)\\
+\verb|www.math.ncsu.edu/~kaltofen/bibliography/85/Ka85_sicomp.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Kalt85e.pdf|
+
+\bibitem[Gathen 85]{Gath85} Gathen, Joachim von zur; Kaltofen, E.
+``Factoring multivariate polynomials over finite fields''\\
+Math. Comput. 45 pp 251-261 (1985)\\
+\verb|www.math.ncsu.edu/~kaltofen/bibliography/85/GaKa85_mathcomp.ps.gz|
+%\verb|axiom-developer.org/axiom-website/papers/Gath85.ps|
+
+\bibitem[Kaltofen 86]{Kalt86} Kaltofen, E.\\
+``Uniform closure properties of p-computable functions''\\
+Proc. 18th Annual ACM Symp. Theory Comput. pp 330-337 ACM (1986)\\
+\verb|www.math.ncsu.edu/~kaltofen/bibliography/86/Ka86_stoc.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Kalt86.pdf|
+
+\bibitem[Kaltofen 87]{Kalt87} Kaltofen, E.; Krishnamoorthy, M.S.; 
+Saunders, B.D.\\
+``Fast parallel computation of Hermite and Smith forms of polynomial matrices''\\
+SIAM J. Alg. Discrete Math. 8 pp 683-690 (1987)\\
+\verb|www.math.ncsu.edu/~kaltofen/bibliography/87/KKS87.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Kalt87.pdf|
+
+\bibitem[Kaltofen 87a]{Kalt87a} Kaltofen, E.\\
+``Computer algebra algorithms''\\
+in J.F. Traub, ed. Annual Review in Computer Science, vol 2 pp 91-118
+Annual Reviews Inc. Palo Alto, CA 1987\\
+\verb|www.math.ncsu.edu/~kaltofen/bibliography/87/Ka87_annrev.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Kalt87a.pdf|
+
+\bibitem[Kaltofen 87b]{Kalt87b} Kaltofen, E.\\
+``Single-factor Hensel lifting and its application to the straight-line
+complexity of certain polynomial.''\\
+Proc. 19th Annual ACM Symp. Theory Comput. pp 443-452 ACM 1987\\
+\verb|www.math.ncsu.edu/~kaltofen/bibliography/87/Ka87_stoc.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Kalt87b.pdf|
+
+\bibitem[Kaltofen 87c]{Kalt87c} Kaltofen, E.\\
+``Deterministic irreducibility testing of polynomials over large finite fields''\\
+J. Symbolic Comput. 4 pp 77-82 (1987)\\
+\verb|www.math.ncsu.edu/~kaltofen/bibliography/87/Ka87_jsc.ps.gz|
+%\verb|axiom-developer.org/axiom-website/papers/Kalt87c.ps|
+
+\bibitem[Kaltofen 88]{Kalt88} Kaltofen, E.; Trager, B.\\
+``Computing with polynomials given by black boxes for their evaluations: 
+Greatest common divisors, factorization, separation of numerators and 
+denominators''\\
+Proc. 29th Annual Symp. Foundations of Comp. Sci. pp 296-305 IEEE (1988)\\
+\verb|www.math.ncsu.edu/~kaltofen/bibliography/88/focs88.ps.gz|
+%\verb|axiom-developer.org/axiom-website/papers/Kalt88.ps|
+
+\bibitem[Miller 88]{Mill88} Miller, G.L.; Ramachandran, V.; Kaltofen, E.\\
+``Efficient parallel evaluation of straight-line code and arithmetic circuits''\\
+SIAM J. Comput. 17(4) pp 687-695 (1988)\\
+\verb|www.math.ncsu.edu/~kaltofen/bibliography/88/MRK88.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Mill88.pdf|
+
+\bibitem[Kaltofen 88a]{Kalt88a} Kaltofen, E.; Yagati, Lakshman\\
+``Improved sparse multivariate polynomial interpolation algorithms''\\
+in Symbolic Algebraic Comput. Internat. Symp. ISSAC'88 pp 467-474\\
+\verb|www.math.ncsu.edu/~kaltofen/bibliography/88/KaLa88.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Kalt88a.pdf|
+
+\bibitem[Kaltofen 88b]{Kalt88b} Kaltofen, E.\\
+``Greatest common divisors of polynomials given by straight-line programs''\\
+J. ACM 35(1) pp 231-264 (1988)\\
+\verb|www.math.ncsu.edu/~kaltofen/bibliography/88/Ka88_jacm.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Kalt88b.pdf|
+
+\bibitem[Freeman 88]{Free88} Freeman, T.S.; Imirzian, G.; Kaltofen, E.;
+Yagati, Lakshman\\
+``DAGWOOD: A system for manipulating polynomials given by straight-line
+programs''\\
+ACM Trans. Math. Software 14(3) pp 218-240 (1988)\\
+\verb|www.math.ncsu.edu/~kaltofen/bibliography/88/FIKY88.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Free88.pdf|
+
+\bibitem[Gregory 88]{Greg88} Gregory, B.; Kaltofen, E.\\
+``Analysis of the binary complexity of asymptotically fast algorithms for
+linear system solving''\\
+SIGSAM Bulletin 22(2) pp 41-49 (1988)\\
+\verb|www.math.ncsu.edu/~kaltofen/bibliography/88/GrKa88.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Greg88.pdf|
+
+\bibitem[Kaltofen 89]{Kalt89} Kaltofen, E.\\
+``Factorization of polynomials given by straight-line programs''\\
+in S. Micali ed. Randomness and Computation, Vol 5 of Advances in Computer
+Research, pp 375-412, JAI Press, Greenwhich, CT 1989\\
+\verb|www.math.ncsu.edu/~kaltofen/bibliography/89/Ka89_slpfac.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Kalt89.pdf|
+
+\bibitem[Kaltofen 89a]{Kalt89a} Kaltofen, E.; Rolletschek, H.\\
+``Computing greatest common divisors and factorizations in quadratic number 
+fields''\\
+Math. Comput. 53(188) pp 697-720 (1989)\\
+\verb|www.math.ncsu.edu/~kaltofen/bibliography/89/KaRo89.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Kalt89a.pdf|
+
+\bibitem[Kaltofen 89b]{Kalt89b} Kaltofen, E.\\
+``Processor efficient parallel computation of polynomial greatest common 
+divisors''\\
+\verb|www.math.ncsu.edu/~kaltofen/bibliography/89/Ka89_gcd.ps.gz|
+%\verb|axiom-developer.org/axiom-website/papers/Kalt89b.ps|
+
+\bibitem[Kaltofen 89c]{Kalt89c} Kaltofen, E.\\
+``Parallel algebraic algorithm design''\\
+Lect. Notes, Rensselaer Polytechnic Instit. Dept. Comput. Sci. Troy, NY
+(1989); Tutorial 1989 Int. Symp. Symb. Algebraic Comput. Portland, OR\\
+\verb|www.math.ncsu.edu/~kaltofen/bibliography/89/Ka89_parallel.ps.gz|
+%\verb|axiom-developer.org/axiom-website/papers/Kalt89c.ps|
+
+\bibitem[Canny 89]{Cann89} Canny, J.; Kaltofen, E.; Yagati, Lakshman\\
+``Solving systems of non-linear polynomial equations faster''\\
+Proc 1989 Int. Symp. Symbolic Algebraic Comput. (ISSAC'89) pp 121-128\\
+\verb|www.math.ncsu.edu/~kaltofen/bibliography/89/CKL89.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Cann89.pdf|
+
+\bibitem[Kaltofen 89d]{Kalt89d} Kaltofen, E.; Valente, T.; Yui, N.\\
+``An improved Las Vegas primality test''\\
+Proc 1989 Int. Symp. Symbolic Algebraic Comput. (ISSAC'89) pp 26-33\\
+\verb|www.math.ncsu.edu/~kaltofen/bibliography/89/KVY89.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Kalt89d.pdf|
+
+\bibitem[Kaltofen 90]{Kalt90} Kaltofen, E.; Lakshman, Y.N.; Wiley, J.M.\\
+``Modular rational sparse multivariate polynomial inerpolation''\\
+ISSAC'90 pp 135-139 ACM Press (1990)\\
+\verb|www.math.ncsu.edu/~kaltofen/bibliography/90/KLW90.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Kalt90.pdf|
+
+\bibitem[Kaltofen 90a]{Kalt90a} Kaltofen, E.; Krishnamoorthy, M.S.;
+Saunders, B.D.\\
+``Parallel algorithms for matrix normal forms''\\
+Linear Algebra and Applications 136 pp 189-208 (1990)\\
+\verb|www.math.ncsu.edu/~kaltofen/bibliography/90/KKS90.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Kalt90a.pdf|
+
+\bibitem[Kaltofen 90b]{Kalt90b} Kaltofen, E.\\
+``Computing the irreducible real factors and components of an algebraic
+curve''\\
+Applic. Algebra Engin. Commun. Comput. 1(2) pp 135-148 (1990)\\
+\verb|www.math.ncsu.edu/~kaltofen/bibliography/90/Ka90_aaecc.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Kalt90b.pdf|
+
+\bibitem[Kaltofen 90c]{Kalt90c} Kaltofen, E.\\
+``Polynomial factorization 1982-1986''\\
+in D.V. Chudnovsky and R.D. Jenks (ed) Computers in Mathematics vol 125
+of Lecture Notes in Pure and Applied Mathematics pp 285-309 Marcel
+Dekker, Inc NY, 1990\\
+\verb|www.math.ncsu.edu/~kaltofen/bibliography/90/Ka90_survey.ps.gz|
+%\verb|axiom-developer.org/axiom-website/papers/Kalt90c.ps|
+
+\bibitem[Kaltofen 90d]{Kalt90d} Kaltofen, E.; Trager, B.\\
+``Computing with polynomials given by black boxes for their evaluations: 
+Greatest common divisors, factorization, separation of numerators and
+denominators''\\
+J. Symbolic Comput. 9(3) pp 301-320 (1990)\\
+\verb|www.math.ncsu.edu/~kaltofen/bibliography/90/KaTr90.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Kalt90d.pdf|
+
+\bibitem[Kaltofen 91]{Kalt91} Kaltofen, E.; Saunders, B.D.\\
+``On Wiedemann's method of solving sparse linear systems''\\
+in H.F.Mattson, T.Mora, and T.R.N. Rao (ed) Proc. AAECC-9 Vol 539
+LNCS pp 29-38 Heidelberg, Germany 1991 Springer-Verlag\\
+\verb|www.math.ncsu.edu/~kaltofen/bibliography/91/KaSa91.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Kalt91.pdf|
+
+\bibitem[Kaltofen 91a]{Kalt91a} Kaltofen, E.; Singer, M.F.\\
+``Size efficient parallel algebraic circuits for partial derivatives''\\
+in D.V. Shirkov, V.A.Rostovtsev, and V.P.Gerdt (ed) IV Int. Conf. on
+Computer Algebra in Physical Research pp 133-145 Singapore 1991
+World Scientific Publ. Co.\\
+\verb|www.math.ncsu.edu/~kaltofen/bibliography/91/KaSi91.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Kalt91a.pdf|
+
+\bibitem[Kaltofen 91b]{Kalt91b} Kaltofen, E.; Yui, N.\\
+``Explicit construction of Hilbert class fields of imaginary quadratic
+fields by integer lattice reduction''\\
+in D.V. Chudnovsky, G.V. Chudnovsky, H. Cohn, and M.B. Nathason (ed)
+Number Theory New York Seminar 1989-1990 pp 150-202 Springer-Verlag
+Heidelberg, Germany 1991\\
+\verb|www.math.ncsu.edu/~kaltofen/bibliography/91/KaYui91.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Kalt91b.pdf|
+
+\bibitem[Diaz 91]{Diaz91} Diaz, A.; Kaltofen,E.; Schmitz, K.; Valente, T.\\
+``DSC A system for distributed symbolic computation''\\
+ISSAC'91 pp 323-332\\
+\verb|www.math.ncsu.edu/~kaltofen/bibliography/91/DKSV91.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Diaz91.pdf|
+
+\bibitem[Kaltofen 91c]{Kalt91c} Kaltofen, E.; Pan, V.\\
+``Processor efficient parallel solution of linear systems over an abstract
+field''\\
+Proc. SPAA'91 3rd Ann. ACM Symp. Parallel Algor. Architecture, pp 180-191,
+NY (1991) ACM Press\\
+\verb|www.math.ncsu.edu/~kaltofen/bibliography/91/KaPa91.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Kalt91c.pdf|
+
+\bibitem[Cantor 91]{Cant91} Cantor, D.G.; Kaltofen, E.\\
+``On fast multiplication of polynomials over arbitrary algebras''\\
+Acta Inform. 28(7) pp 693-701 (1991)\\
+\verb|www.math.ncsu.edu/~kaltofen/bibliography/91/CaKa91.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Cant91.pdf|
+
+\bibitem[Kaltofen 92]{Kalt92} Kaltofen, E.; Pan, V.\\
+``Processor-efficient parallel solution of linear systems II: the positive
+characteristic and singular cases''\\
+Proc. 33rd Annual Symp. Foundations of Comp. Sci. pp 714-723, Los Alamitos,
+CA (1992) IEEE Computer Society Press\\
+\verb|www.math.ncsu.edu/~kaltofen/bibliography/92/KaPa92.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Kalt92.pdf|
+
+\bibitem[Kaltofen 92a]{Kalt92a} Kaltofen, E.\\
+``On computing determinants of matrices without divisions''\\
+ISSAC'92 pp 342-349 (1992)\\
+\verb|www.math.ncsu.edu/~kaltofen/bibliography/92/Ka92_issac.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Kalt92a.pdf|
+
+\bibitem[Kaltofen 92b]{Kalt92b} Kaltofen, E.\\
+``Polynomial factorization 1987-1991''\\
+I.Simon (ed) Proc. LATIN'92 Vol 583 of LNCS pp 294-313 Heidelberg,
+Germany (1992) Springer-Verlag\\
+\verb|www.math.ncsu.edu/~kaltofen/bibliography/92/Ka92_latin.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Kalt92b.pdf|
+
+\bibitem[Kaltofen 93]{Kalt93} Kaltofen, E.\\
+``Computational differentiation and algebraic complexity theory''\\
+in C.H.Bischof, A.Griewantk, and P.M.Khademi (ed) Workshop Report on First
+Theory Institute on Computational Differentiation, Vol ANL/MCS-TM-183
+of Tech. Rep. pp 28-30 Argone, IL, Argonne National Lab\\
+\verb|www.math.ncsu.edu/~kaltofen/bibliography/93/Ka93_diff.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Kalt93.pdf|
+
+\bibitem[Kaltofen 93a]{Kalt93a} Kaltofen, E.\\
+``Dynamic parallel evaluation of computational DAGs''\\
+in J. Reif (ed) Synthesis of Parallel Algorithms pp 723-758 Morgan Kaufmann
+Publ. San Mateo CA\\
+\verb|www.math.ncsu.edu/~kaltofen/bibliography/93/Ka93_synthesis.ps.gz|
+%\verb|axiom-developer.org/axiom-website/papers/Kalt93a.ps|
+
+\bibitem[Diaz 93]{Diaz93} Diaz, A.; Kaltofen, E.; Lobo, A.; Valente, T.\\
+``Process scheduling in DSC and the large sparse linear systems challenge''\\
+in A. Miola (ed) DISCO'93 vol 722 of LNCS pp 66-80 Springer-Verlag\\
+\verb|www.math.ncsu.edu/~kaltofen/bibliography/93/DHKLV93.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Diaz93.pdf|
+
+\bibitem[Kaltofen 93b]{Kalt93b} Kaltofen, E.\\
+``Analysis of Coppersmith's block Wiedemann algorithm for the parallel
+solution of sparse linear systems''\\
+In G. Cohen, T. Mora, O. Moreno (eds) Proc AAECC-10, Vol 673 LNCS
+Heidelberg, Germany (1992) Springer-Verlag\\
+\verb|www.math.ncsu.edu/~kaltofen/bibliography/93/Ka93_sambull.ps.gz|
+%\verb|axiom-developer.org/axiom-website/papers/Kalt93b.ps|
+
+\bibitem[Kaltofen 93c]{Kalt93c} Kaltofen, E.\\
+``Direct proof of a theorem by Kalkbrener, Sweedler, and Taylor''\\
+SIGSAM Bulletin, 27(4), 1993\\
+\verb|www.math.ncsu.edu/~kaltofen/bibliography/93/Ka93_sambull.ps.gz|
+%\verb|axiom-developer.org/axiom-website/papers/Kalt93b.ps|
+
+\bibitem[Kaltofen 94]{Kalt94} Kaltofen, E.; Pan, V.\\
+``Parallel solution of Toeplitz and Toeplitz-like linear systems over fields
+of small positive characteristic''\\
+PASCO'94 pp 225-233 (1994)\\
+\verb|www.math.ncsu.edu/~kaltofen/bibliography/94/KaPa94.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Kalt94.pdf|
+
+\bibitem[Chan 94]{Chan94} Chan, K.C.; Diaz, A.; Kaltofen, E.\\
+``A distributed approach to problem solving in Maple''\\
+in R.J. Lopez (ed) Maple V: Mathmatics and its Application, Proc. Maple
+Summer Workshop and Symposium (MSWS'94) pp 13-21, Boston 1994 Birkh\"auser\\
+\verb|www.math.ncsu.edu/~kaltofen/bibliography/94/CDK94.ps.gz|
+%\verb|axiom-developer.org/axiom-website/papers/Chan94.ps|
+
+\bibitem[Kaltofen 94a]{Kalt94a} Kaltofen, E.; Lobo, A.\\
+``Factoring high-degree polynomials by the black box Berlekamp algorithm''\\
+ISSAC'94 pp 90-98\\
+\verb|www.math.ncsu.edu/~kaltofen/bibliography/94/KaLo94.ps.gz|
+%\verb|axiom-developer.org/axiom-website/papers/Kalt94a.ps|
+
+\bibitem[Kaltofen 94b]{Kalt94b} Kaltofen, E.\\
+``Asymptotically fast solution of Toeplitz-like singular linear systems''\\
+ISSAC'94, pp 297-304
+\verb|www.math.ncsu.edu/~kaltofen/bibliography/94/Ka94_issac.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Kalt94b.pdf|
+
+\bibitem[Samadani 95]{Sama95} Samadani, M.; Kaltofen, E.\\
+``Prediction based task scheduling in distributed computing''\\
+in B.K. Szymanski and B. Sinharoy (ed) Languages, Compilers and Run-Time
+Systems for Scalable Computers, pp 317-329, Boston 1996 Kluwer Academic Publ.\\
+\verb|www.math.ncsu.edu/~kaltofen/bibliography/95/SaKa95_poster.ps.gz|
+%\verb|axiom-developer.org/axiom-website/papers/Sama95.ps|
+
+\bibitem[Kaltofen 95]{Kalt95} Kaltofen, E.\\
+``Analysis of Coppersmith's blcok Wiedemann algorithm for the parallel 
+solution of sparse linear systems''\\
+Math. Comput. 64(210) pp 777-806 (1995)\\
+\verb|www.math.ncsu.edu/~kaltofen/bibliography/95/Ka95_mathcomp.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Kalt95.pdf|
+
+\bibitem[Diaz 95]{Diaz95} Diaz, A.; Kaltofen, E.\\
+``On computing greatest common divisors with polynomials given by black
+boxes for their evaluation''\\
+ISSAC'95 pp 232-239\\
+\verb|www.math.ncsu.edu/~kaltofen/bibliography/95/DiKa95.ps.gz|
+%\verb|axiom-developer.org/axiom-website/papers/Diaz95.ps|
+
+\bibitem[Kaltofen 95a]{Kalt95a} Kaltofen, E.; Shoup, V.\\
+``Subquadratic-time factoring of polynomials over finite fields''\\
+Proc. 27th Annual ACM Symp. Theory Comput. pp 398-406 NY (1995) ACM Press\\
+\verb|www.math.ncsu.edu/~kaltofen/bibliography/95/KaSh95.ps.gz|
+%\verb|axiom-developer.org/axiom-website/papers/Kalt95a.ps|
+
+\bibitem[Hitz 95]{Hitz95} Kitz, M.A.; Kaltofen, E.\\
+``Integer division in residue number systems''\\
+IEEE Trans. Computers 44(8) pp 983-989 (1995)\\
+\verb|www.math.ncsu.edu/~kaltofen/bibliography/95/HiKa95.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Hitz95.pdf|
+
+\bibitem[Diaz 95a]{Diaz95a} Diaz, A.; Hitz, M.; Kaltofen, E.; Lobo, A.; 
+Valtente, T.\\
+``Process scheduling in DSC and the large sparse linear systems challenge''\\
+J. Symbolic Comput 19(1-3) pp 269-282 (1995)\\
+\verb|www.math.ncsu.edu/~kaltofen/bibliography/95/DHKLV95.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Diaz95a.pdf|
+
+\bibitem[Kaltofen 95b]{Kalt95b} Kaltofen, E.\\
+``Effective Noether irreducibility forms and applications''\\
+J. Comput. System Sci. 50(2) pp 274-295 (1995)\\
+\verb|www.math.ncsu.edu/~kaltofen/bibliography/95/Ka95_jcss.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Kalt95b.pdf|
+
+\bibitem[Erlingsson 96]{Erli96} Erlingsson, U.; Kaltofen, E.; Musser, D.\\
+``Generic Gram-Schmidt orthgonalization by exact division''\\
+ISSAC'96 pp 275-282\\
+\verb|www.math.ncsu.edu/~kaltofen/bibliography/96/EKM96.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Erli96.pdf|
+
+\bibitem[Kaltofen 96]{Kalt96} Kaltofen, E.; Lobo, A.\\
+``On rank properties of Toeplitz matrices over finite fields''\\
+ISSAC'96 pp 241-249\\
+\verb|www.math.ncsu.edu/~kaltofen/bibliography/96/KaLo96_issac.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Kalt96.pdf|
+
+\bibitem[Kaltofen 96a]{Kalt96a} Kaltofen, E.; Lobo, A.\\
+``Distributed matrix-free solution of large sparse linear systems over finite
+fields''\\
+in A.M.Tentner (ed) Proc. High Performance Computing'96 pp 244-247 San Diego
+CA (1996) Soc. for Comp. Simultation, Simulation Councils, Inc.\\
+\verb|www.math.ncsu.edu/~kaltofen/bibliography/96/KaLo96_hpc.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Kalt96a.pdf|
+
 \end{thebibliography}
 \end{document}
diff --git a/changelog b/changelog
index 6b27e09..373a895 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20140914 tpd src/axiom-website/patches.html 20140914.01.tpd.patch
+20140914 tpd books/bookvolbib add Kaltofen references
 20140912 tpd src/axiom-website/patches.html 20140912.01.tpd.patch
 20140912 tpd books/axiom.sty add the sig markup
 20140907 tpd src/axiom-website/patches.html 20140907.01.tpd.patch
diff --git a/patch b/patch
index d04f03d..c4d3edc 100644
--- a/patch
+++ b/patch
@@ -1,9 +1,3 @@
-books/axiom.sty add the sig markup
+books/bookvolbib add Kaltofen references
 
-Shows the signature of a lisp function so
-   \sig{mkprompt}{Void}{String}
-generates
-   {\bf mkprompt} : {\bf Void} $->$ {\bf String}
-which formats to
-   mkprompt : Void -> String
-and an index of mkprompt under signatures
+Eric Kaltofen reference works added.
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 4a3bbcb..e404902 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4634,6 +4634,8 @@ books/bookvol10.3 add SparseEchelonMatrix domain<br/>
 src/input/groeb.input test case for groebner basis<br/>
 <a href="patches/20140912.01.tpd.patch">20140912.01.tpd.patch</a>
 books/axiom.sty add the sig markup<br/>
+<a href="patches/20140914.01.tpd.patch">20140914.01.tpd.patch</a>
+books/bookvolbib add Kaltofen references<br/>
  </body>
 </html>
 
